summaryrefslogtreecommitdiff
path: root/tests/cp/cp-HL.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/cp-HL.sh')
-rwxr-xr-xtests/cp/cp-HL.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/cp-HL.sh b/tests/cp/cp-HL.sh
index bdc31ed5..08a72b13 100755
--- a/tests/cp/cp-HL.sh
+++ b/tests/cp/cp-HL.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# test cp's -H and -L options
-# Copyright (C) 2000-2014 Free Software Foundation, Inc.
+# Copyright (C) 2000-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -33,7 +33,7 @@ test -d dest-dir/src-dir || fail=1
cat dest-dir/slink > /dev/null 2>&1 || fail=1
# Expect this to fail since *this* slink is a dangling symlink.
-cat dest-dir/src-dir/slink > /dev/null 2>&1 && fail=1
+returns_ 1 cat dest-dir/src-dir/slink >/dev/null 2>&1 || fail=1
# FIXME: test -L, too.